This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 530649

Summary: Review Request: massxpert - Mass Spectrometry
Product: [Fedora] Fedora Reporter: Thomas Spura <tomspur>
Component: Package ReviewAssignee: Steve Traylen <steve.traylen>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: andreas.bierfert, bloch, fedora-package-review, mail, notting, steve.traylen
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-07-19 09:52:21 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 201449, 501192    

Description Thomas Spura 2009-10-23 18:40:40 EDT
Spec URL: http://tomspur.fedorapeople.org/review/massxpert.spec
SRPM URL: http://tomspur.fedorapeople.org/review/massxpert-2.0.7-1.fc11.src.rpm
Description:
This package contains the massxpert mass spectrometric software suite,
a software program that aims at letting users predict/analyze mass
spectrometric data on (bio)polymers.

URL: http://massxpert.org/

$ rpmlint massxpert.spec massxpert-2.0.7-1.fc11.src.rpm x86_64/massxpert-*
massxpert.spec:70: E: hardcoded-library-path in %{_prefix}/lib/massxpert/
massxpert.src:70: E: hardcoded-library-path in %{_prefix}/lib/massxpert/
3 packages and 1 specfiles checked; 2 errors, 0 warnings.

Builds in koji dist-f13:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1765466

There *HAS* to be this hardcoded path, because on my 64bit system, this programm will look anyway in /usr/lib/ subdir for plugins.
I notified upstream via mail for this.
Comment 1 Thomas Spura 2009-10-24 07:11:25 EDT
I patched the cmakelist for 'proper' installing into the usual %{_libdir}.

rpmlint is clean:

$ rpmlint massxpert.spec massxpert-2.0.7-2.fc11.src.rpm x86_64/massxpert-*
3 packages and 1 specfiles checked; 0 errors, 0 warnings.

Builds in koji:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1766029


Anything ready for review.

Spec URL: http://tomspur.fedorapeople.org/review/massxpert.spec
SRPM URL: http://tomspur.fedorapeople.org/review/massxpert-2.0.7-2.fc11.src.rpm
Comment 2 Fabian Affolter 2009-12-21 07:30:07 EST
- Release 2.0.9 is out
- Your are mixing '$RPM_BUILD_ROOT' and '%{buildroot}'.
- In 2.0.9 is a huge usermanual.  Perhaps it would be a good idea to make a separate package for that.
Comment 3 Thomas Spura 2009-12-21 21:06:54 EST
- update to new release
- only using %{buildroot}
- usermanual in subpackage

rpmlint clean

(warning: build hangs a bit, esp. on the last file, building with c++.
When waiting long enought, it's sucessfull...
http://koji.fedoraproject.org/koji/taskinfo?taskID=1885132 )

Spec URL: http://tomspur.fedorapeople.org/review/massxpert.spec
SRPM URL: http://tomspur.fedorapeople.org/review/massxpert-2.0.9-1.fc12.src.rpm
Comment 4 Adam Huffman 2010-01-14 01:06:47 EST
- upstream release is now 2.1.0
Comment 6 Steve Traylen 2010-03-19 15:49:42 EDT
Review:  massxper
Date:    19th March 2010
Koji Build:  Seems to be timing out :-(

*  COMMENT: rpmlint output
$ rpmlint ../SRPMS/massxpert-2.1.0-1.fc14.src.rpm 
          ../RPMS/noarch/massxpert-doc-2.1.0-1.fc14.noarch.rpm 
          ../RPMS/x86_64/massxpert-2.1.0-1.fc14.x86_64.rpm 
          ../RPMS/x86_64/massxpert-debuginfo-2.1.0-1.fc14.x86_64.rpm
massxpert.src: W: spelling-error %description -l en_US spectrometric -> spectrometer, spectroscopic, spectroscopy
massxpert.x86_64: W: spelling-error %description -l en_US spectrometric -> spectrometer, spectroscopic, spectroscopy

*  YES: Named according to the Package Naming Guidelines.
*  YES: spec file name same as  base package %{name}.
*  YES: Packaging Guidelines.
   Very clean packages
*  YES: Approved license in .spec file.
   GPLv3
*  YES: License on Source code.
   Extremly clear licensing in source as GPLv3.
*  YES: Include LICENSE file or similar if it exist.
   COPYING file present.
*  YES: Written in American English.
*  YES: Spec file legible. 
*  YES: Included source must match upstream source.
$ md5sum massxpert-2.1.0.tar.gz SOURCES/massxpert-2.1.0.tar.gz 
50ee3fecfac0ad047004748971a1f1c0  massxpert-2.1.0.tar.gz
50ee3fecfac0ad047004748971a1f1c0  SOURCES/massxpert-2.1.0.tar.gz
*  YES: Build on one architecture.
 mock
*  YES: Not building on an architecture must highlighted.
 mock.
*  YES: Build dependencies must be listed in BuildRequires.
 mock.
*  NO: Handle locales properly. 

   /usr/share/massxpert/locales
   /usr/share/massxpert/locales/massxpert_fr.qm

   could be handled better.

*  YES: ldconfig must be called on shared libs.
No shared libs.
*  YES: No bundled copies of system libraries.
*  YES: Package must state why relocatable if relocatable.
not relocatable.
*  MUST: A package must own all directories that it creates
   /usr/share/applications/ owned by filesystem
   /usr/share/pixmaps/ ownded by filesystem.
   
* YES:  No duplicate files in %files listings. 
* YES:  Permissions on files must be set properly. %defattr
%defattr(-,root,root,-)
* YES:  %clean section contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
* YES:  Each package must consistently use macros.
* YES:  The package must contain code, or permissable content.
* YES:  Large documentation files must go in a -doc subpackage.  
 Been put in seperate noarch package.
* YES:  %doc  must not affect the runtime of the application. 
* YES:  Header files must be in a -devel package.
 - no header files.
* YES:  Static libraries must be in a -static package.
 no statics.
* YES:  Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
 no .pc files.
* YES:  Then library files that end in .so 
         (without suffix) must go in a -devel package. 
 .so files but these are a plugin.
* YES:  devel packages must require the exact base package
 no -devel.
* YES:  No .la libtool archives
* YES:  GUI apps should have %{name}.desktop file
* YES:  No files or directories already owned by other packages. 
* YES:  %install must run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
* YES:  All filenames in rpm packages must be valid UTF-8.

-----------

Comments:
Could you rewrite the description just to avoid the word spectrometric?

Work to be done:
Just that one locale file should be handled.
Comment 7 Thomas Spura 2010-03-28 10:37:52 EDT
Sorry, it took a bit longer...

Thanks for the review.

(In reply to comment #6)
> Review:  massxper
> Date:    19th March 2010
> Koji Build:  Seems to be timing out :-(

I build this with ccache & rpmbuild:
real	2m11.115s
user	1m18.720s
sys	1m25.074s

So it can take a while ;)

Koji build successfull
http://koji.fedoraproject.org/koji/taskinfo?taskID=2079497

> 
> *  COMMENT: rpmlint output
> $ rpmlint ../SRPMS/massxpert-2.1.0-1.fc14.src.rpm 
>           ../RPMS/noarch/massxpert-doc-2.1.0-1.fc14.noarch.rpm 
>           ../RPMS/x86_64/massxpert-2.1.0-1.fc14.x86_64.rpm 
>           ../RPMS/x86_64/massxpert-debuginfo-2.1.0-1.fc14.x86_64.rpm
> massxpert.src: W: spelling-error %description -l en_US spectrometric ->
> spectrometer, spectroscopic, spectroscopy
> massxpert.x86_64: W: spelling-error %description -l en_US spectrometric ->
> spectrometer, spectroscopic, spectroscopy

Completely rewrite (with help from upstream website):
$ rpmlint massxpert-2.1.0-2.fc13.src.rpm noarch/massxpert-doc-2.1.0-2.fc13.noarch.rpm x86_64/massxpert-2.1.0-2.fc13.x86_64.rpm x86_64/massxpert-debuginfo-2.1.0-2.fc13.x86_64.rpm 
4 packages and 0 specfiles checked; 0 errors, 0 warnings.


> *  NO: Handle locales properly. 
> 
>    /usr/share/massxpert/locales
>    /usr/share/massxpert/locales/massxpert_fr.qm
> 
>    could be handled better.

Now the %files section looks a bit nasty, but don't know how to do it different...

Was is that, what you meant?
%doc %lang(fr) %{_datadir}/massxpert/locales/massxpert_fr.qm

> -----------
> 
> Comments:
> Could you rewrite the description just to avoid the word spectrometric?
> 
> Work to be done:
> Just that one locale file should be handled.    

%changelog
- rewrite description to make rpmlint silent
- renew %%files (better handle locales)

Spec URL: http://tomspur.fedorapeople.org/review/massxpert.spec
SRPM URL: http://tomspur.fedorapeople.org/review/massxpert-2.1.0-2.fc13.src.rpm
Comment 8 Steve Traylen 2010-04-20 14:06:55 EDT
Hi,
I should have referenced the guidelines on locale stuff.

See here:

http://fedoraproject.org/wiki/Packaging/Guidelines#Handling_Locale_Files
Comment 9 Thomas Spura 2010-04-20 17:00:40 EDT
When adding a '%find_lang %{name} --all-name':
+ /usr/lib/rpm/find-lang.sh /home/tom/rpmbuild/BUILDROOT/massxpert-2.1.0-2.fc13.x86_64 massxpert --all-name
No translations found for massxpert in /home/tom/rpmbuild/BUILDROOT/massxpert-2.1.0-2.fc13.x86_64

'%find_lang %{name}_fr' doesn't make sense for me, isn't it?
The locales are handled internally, it seems, so I don't know how to threaden with them...


Or am I doing something wrong?
Comment 10 Thomas Spura 2010-07-19 09:52:21 EDT
I no longer want to maintain this, because I don't use this and just wanted to help the reporter from #501192. But it seems, this could still take some time to get this into fedora.

Anyone feel free to use the spec file from above.

Thanks for starting the review.